{
  "type" : "record",
  "name" : "AlternateCoordinate",
  "namespace" : "org.opencb.biodata.models.variant.avro",
  "fields" : [ {
    "name" : "chromosome",
    "type" : [ "null", "string" ]
  }, {
    "name" : "start",
    "type" : [ "null", "int" ],
    "doc" : "* First position 1-based of the alternate. If null, the start is the same of the variant."
  }, {
    "name" : "end",
    "type" : [ "null", "int" ],
    "doc" : "* End position 1-based of the alternate. If null, the end is the same of the variant."
  }, {
    "name" : "reference",
    "type" : [ "null", "string" ],
    "doc" : "* Reference allele. If null, the reference is the same of the variant."
  }, {
    "name" : "alternate",
    "type" : "string",
    "doc" : "* Alternate allele."
  }, {
    "name" : "type",
    "type" : {
      "type" : "enum",
      "name" : "VariantType",
      "doc" : "* Type of variation, which depends mostly on its length.\n     * <ul>\n     * <li>SNVs involve a single nucleotide, without changes in length</li>\n     * <li>MNVs involve multiple nucleotides, without changes in length</li>\n     * <li>Indels are insertions or deletions of less than SV_THRESHOLD (50) nucleotides</li>\n     * <li>Structural variations are large changes of more than SV_THRESHOLD nucleotides</li>\n     * <li>Copy-number variations alter the number of copies of a region</li>\n     * </ul>",
      "symbols" : [ "SNV", "SNP", "MNV", "MNP", "INDEL", "SV", "INSERTION", "DELETION", "TRANSLOCATION", "INVERSION", "CNV", "DUPLICATION", "BREAKEND", "NO_VARIATION", "SYMBOLIC", "MIXED" ]
    }
  } ]
}
